проблема с установкой Zimbra 8.8.9

MaxMFA
Posts: 6
Joined: Fri Aug 17, 2018 11:30 am

проблема с установкой Zimbra 8.8.9

Postby MaxMFA » Fri Aug 17, 2018 11:41 am

Добрый день, уважаемые Форумчане.

Кто поможет с бедой разобраться? Поставил я 3-и года назад zimbrу еще 6.0 и все замечательно работало, потихоньку обновлял, потом и Ubuntu обновил и в итоге дошел до версии Zimbra 8.8.9. До вчерашнего дня все было прекрасно, пока не пришел алерт, что smtp недоступен. Вообщем полез я на сервак, а там ошибка на ошибке. Все началось с LDAP и поехало дальше. Сразу скажу, сертификаты просрочены не были. вообщем снимаю я архив всего, что успел заархивировать и пытаюсь поставить 8.8.9 на Ubuntu server 16.04.5 LTS. И тут сразу же трабла с установкой. Не устанавливается, сразу же с ошибкой на apt-get и вылет. Я не силен в Линуксе. Может кто из форумчан сможет помочь не словом, а делом, восстановить сервер. Размер вознаграждения оговаривается.


phoenix
Ambassador
Ambassador
Posts: 25679
Joined: Fri Sep 12, 2014 9:56 pm

Re: проблема с установкой Zimbra 8.8.9

Postby phoenix » Fri Aug 17, 2018 12:52 pm

Вы недавно обновили Ubuntu (в частности, ядро)? Если у вас есть, возможно, вы захотите взглянуть на эту тему: viewtopic.php?f=15&t=64696 -
Затем вернитесь к предыдущему ядру
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
MaxMFA
Posts: 6
Joined: Fri Aug 17, 2018 11:30 am

Re: проблема с установкой Zimbra 8.8.9

Postby MaxMFA » Fri Aug 17, 2018 12:55 pm

Про ядро я в курсе, но оказалось, там и рейд рассыпался. вобщем как говорится, все и сразу :(
MaxMFA
Posts: 6
Joined: Fri Aug 17, 2018 11:30 am

Re: проблема с установкой Zimbra 8.8.9

Postby MaxMFA » Fri Aug 17, 2018 1:19 pm

Вообщем 8.8.9 я поднял, но пустую. Не подскажет ли кто, каким образом можно базу LDAP и базу MySQL смигрировать из сохраненного каталога старой зимбы на новую?
phoenix
Ambassador
Ambassador
Posts: 25679
Joined: Fri Sep 12, 2014 9:56 pm

Re: проблема с установкой Zimbra 8.8.9

Postby phoenix » Fri Aug 17, 2018 2:13 pm

Какие ошибки вы действительно видите при попытке запустить ZCS?
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
MaxMFA
Posts: 6
Joined: Fri Aug 17, 2018 11:30 am

Re: проблема с установкой Zimbra 8.8.9

Postby MaxMFA » Sat Aug 18, 2018 5:21 am

При установке 8.8.9 такая ошибка

Configuring package repository
ERROR: Unable to install packages via apt-get
Please fix system to allow normal package installation before proceeding

сломаных зависимостей нет

Версия сервера 16.04.05
Ядро Linux 4.15.0-32-generic на x86_64
phoenix
Ambassador
Ambassador
Posts: 25679
Joined: Fri Sep 12, 2014 9:56 pm

Re: проблема с установкой Zimbra 8.8.9

Postby phoenix » Sat Aug 18, 2018 6:08 am

Я боюсь, я не могу быть много помочь, как я не использую Ubuntu и сломанной менеджер пакетов является одной из причин. :) Это не кажется, что проблема с Zimbra.

Попробуйте запустить следующие и посмотреть, если он бросает какие-либо ошибки:

apt-get update && apt-get upgrade

Кроме этого, я не могу оказать большую помощь. Правильно ли установлены другие пакеты с помощью управления пакетами? Вы могли бы попробовать конкретный форум Ubuntu, чтобы увидеть, если вы можете получить решение.
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
MaxMFA
Posts: 6
Joined: Fri Aug 17, 2018 11:30 am

Re: проблема с установкой Zimbra 8.8.9

Postby MaxMFA » Sat Aug 18, 2018 6:31 am

# apt-get update && apt-get upgrade
Hit:1 http://mirror.hetzner.de/ubuntu/packages xenial InRelease
Hit:2 http://mirror.hetzner.de/ubuntu/packages xenial-backports InRelease
Hit:3 http://mirror.hetzner.de/ubuntu/packages xenial-updates InRelease
Hit:4 http://mirror.hetzner.de/ubuntu/security xenial-security InRelease
Hit:5 http://de.archive.ubuntu.com/ubuntu xenial InRelease
Ign:6 http://webmin.mirror.somersettechsoluti ... repository sarge InRelease
Hit:7 http://de.archive.ubuntu.com/ubuntu xenial-updates InRelease
Get:8 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
Hit:9 http://webmin.mirror.somersettechsoluti ... repository sarge Release
Hit:10 http://de.archive.ubuntu.com/ubuntu xenial-backports InRelease
Hit:11 https://repo.zimbra.com/apt/87 xenial InRelease
Hit:12 https://repo.zimbra.com/apt/889 xenial InRelease
Ign:13 http://download.webmin.com/download/repository sarge InRelease
Hit:14 http://download.webmin.com/download/repository sarge Release
Fetched 107 kB in 0s (119 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Все в порядке, ошибок нет
MaxMFA
Posts: 6
Joined: Fri Aug 17, 2018 11:30 am

Re: проблема с установкой Zimbra 8.8.9

Postby MaxMFA » Sat Aug 18, 2018 9:30 am

Вопрос с установкой решил. Подтянул старую кофигурацию, все заработало, за исключением logger . пытаюсь запустить заново его установку и получаю

/opt/zimbra/libexec/zmsyslogsetup
Unmatched ( in regex; marked by <-- HERE in m/( <-- HERE ^destination mail { file\("/ at /opt/zimbra/libexec/zmsyslogsetup line 190.

Может кто сталкивался с такой проблемой, не пойму как решить

Return to “Русский язык-фор”

Who is online

Users browsing this forum: No registered users and 1 guest